=== debian/changelog ===
autopkgtest (3.6jessie1) testing; urgency=medium

  [ Christian Kastner ]
  * adt-setup-vm: Modify guest's dpkg config for enabling force-unsafe-io, not
    host's, when a root directory is specified as argument. (Closes: #775076)
  * Clean up /etc/dpkg/dpkg.cfg.d/autopkgtest on upgrades if its contents are
    just "force-unsafe-io", indicating that this file was generated by the
    above bug.

  [ Martin Pitt ]
  * adt-setup-vm: Check guest's /etc/network/interfaces for existing eth0
    instead of host's, when specifying a directory argument. (Spotted as a
    side issue in #775076)

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Jan 2015 20:34:34 +0100
