=== debian/control ===
Source: autopkgtest
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 8),
 python3 (>= 3.1),
 python3-mock,
 python3-debian,
 python3-docutils,
 pyflakes,
 procps,
 pep8
Vcs-Git: git://git.debian.org/git/autopkgtest/autopkgtest.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
XS-Testsuite: autopkgtest
X-Python3-Version: >= 3.1

Package: autopkgtest
Architecture: all
Depends: python3,
 python3-debian,
 apt-utils,
 libdpkg-perl,
 procps,
 ${misc:Depends}
Recommends: autodep8
Suggests: schroot, lxc, qemu-system, qemu-utils
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See adt-run(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.
