=== debian/tests/control ===
Tests: adt-run
Depends: autopkgtest, build-essential, debhelper (>= 7)
Restrictions: needs-root
Tests-Directory: tests

Tests: pyflakes
Depends: pyflakes
Tests-Directory: tests

Tests: installed
Depends: autopkgtest
