## autopkgtest 3.6jessie2

=== debian/changelog ===
autopkgtest (3.6jessie2) jessie; urgency=medium

  * adt-run: deb_package_name: only query the Package field instead of
    querying all fields and parsing the output ourselves. The latter
    breaks when asking for a str object if a field (e.g. the description)
    contains non-ascii characters.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 13 Apr 2023 13:02:00 +0200
