## autopkgtest 3.13

=== debian/changelog ===
autopkgtest (3.13) unstable; urgency=medium

  * ssh-setup/adb: Add --keep-screen-active option to keep
   "powerd-cli display" running after the tests. Use with caution!
   (LP: #1441023)
  * adt-buildvm-ubuntu-cloud: Add --post-command for running a shell command
    after setup for additional customization.
  * ssh-setup/adb: Quote tr arguments.
  * click tests: Look into app/tests/autopilot/ for tests as well if no
    explicit path is given. This is the default location of the Ubuntu cmake
    templates.

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Apr 2015 11:50:18 +0100

autopkgtest (3.12.1) unstable; urgency=medium

  [ Didier Roche ]
  * setup-commands/ubuntu-touch-session: Use "upstart" instead of "init".
    (LP: #1422681)

  [ Martin Pitt ]
  * adt-build-lxc: When removing the old root file system, remove btrfs
    subvolumes in it.
  * README.package-tests.rst: Document that '#' can be used for comments.
    (Part of LP #1434543)
  * Ignore debian/tests/control stanzas with unknown fields, as documented.
    (LP: #1434543)
  * adt-buildvm-ubuntu-cloud: Drop workaround for LP #1428495, it got fixed in
    cloud-init a while ago.
  * adt-buildvm-ubuntu-cloud: Fix cloud-init's prerm hacking to apply after
    dist-upgrades.

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 Apr 2015 07:26:27 +0200

autopkgtest (3.12) unstable; urgency=medium

  * ssh-setup/adb: Re-enable ssh after reboot, in case an upgrade disables it.
  * ssh-setup/adb: Try to create /userdata/.adb_onlock, to get adb after
    rebooting without human interaction.
  * Fix apt-get install --simulate version parsing with third-party sources.
    (LP: #1430017)
  * ssh-setup-nova: Add --security-groups option. (LP: #1429862)
  * adt-buildvm-ubuntu-cloud: Avoid non-blocking reads from the socket in
    verbose mode, this sometimes causes hangs. Go back to blocking reads, but
    don't wait between them.
  * Fix UnicodeDecodeError on .deb package name reading. (LP: #1430773)
  * adt-virt-ssh: Export $SUDO_ASKPASS to tests if sudo is available.
    (LP: #1431421)

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Mar 2015 12:52:49 +0100

autopkgtest (3.11.1) unstable; urgency=medium

  * Fix autopkgtest-reboot to also work when being called through sudo, and
    for forking test scripts.
  * Avoid failure if /var/cache/apparmor/click-ap.rules does not exist any
    more after a reboot, like on snappy.
  * adt-buildvm-ubuntu-cloud: Avoid cloud-init's prerm stopping cloud-init's
    services while we are still running them. This makes it possible to purge
    cloud-init from user-data, and avoids killing apt/dpkg underneath us. This
    needs a cleaner solution, but is a good enough workaround for now.
    (LP: #1427999)
  * adt-buildvm-ubuntu-cloud: Don't wait between serial console reads while
    we have data. Provides faster/smoother output in --verbose mode.
  * ssh-setup/nova: Fix error message on missing keypair, the command is
    "keypair-add", not "keypair-create". Thanks Thomi Richards! (LP: #1428433)
  * adt-buildvm-ubuntu-cloud: Add workaround for recent cloud-init regression
    that disables ssh (LP #1428495)
  * adt-run: Suggest common reason for unsatisfiable test dependencies.
    Suggest using a current image, or run apt-get update/-U (for apt-get) or
    --setup-commands ro-apt-update (for temp dir install mode). (LP: #1425682)
  * Quiesce confusing "failed to create symbolic link
    /sbin/autopkgtest-reboot" warning on read-only testbeds.

 -- Martin Pitt <mpitt@debian.org>  Thu, 05 Mar 2015 13:33:12 +0100

autopkgtest (3.11) unstable; urgency=medium

  Improvements:
  * Add action argument --testname to run only one individual test from the
    next package.

  Bug fixes:
  * Restore click AppArmor profiles after a test, if we modified them before
    the test.
  * When running a deb test in a click+AppArmor environment, update AppArmor
    rules for all clicks for introspectability and temporary test
    dependencies. This takes about a minute before the test, and another one
    after the test, but is necessary for use cases like ubuntu-sanity-tests.
    (LP: #1424889)

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 Feb 2015 07:02:52 +0100

autopkgtest (3.10) unstable; urgency=medium

  Improvements:
  * adt-virt-lxc: Add reboot support for non-ephemeral containers.
  * tests/run-parallel: Don't run all test classes in parallel, it creates too
    much load. Serialize test classes which use the same runner.

  Bug fixes:
  * VirtSubproc.py, cmd_reboot(): Fix debug message.
  * tests/adt-run: Avoid re-downloading ubuntu-device-flash images by
    symlinking ~/.cache/ubuntuimages from the temp $HOME into the real user's
    $HOME.
  * adt-virt-lxc: Fix check for eatmydata when using --eatmydata.
  * adt-virt-qemu: Synchronize ttyS0 output before writing eofcat.
  * adt-virt-qemu, adt-virt-lxc: Asynchronously call reboot, to avoid eternal
    hangs when it reboots too fast for us to notice that it finished.

 -- Martin Pitt <mpitt@debian.org>  Tue, 24 Feb 2015 11:40:42 +0100

autopkgtest (3.9.7) unstable; urgency=medium

  * Include "Package-Type: deb" marked packages for testing. Fixes regression
    with testing paramiko.
  * adt-virt-qemu: Robustify setupup of shared /autopkgtest directory.
  * VirtSubProc.expect(): Read data without delay as long as we have some.
  * adt-virt-qemu: Add --show-boot option to show boot messages from serial
    console.
  * adt-setup-vm: Configure "console=ttyS0" boot option in grub on non-i386
    architectures too, to fix serial consoles with systemd images. Create
    /etc/default/grub.d/ if necessary.
  * adt-setup-vm: Only configure grub if update-grub is available.
    (Closes: #778907)
  * adt-virt-qemu: Increase reboot and dpkg-reconfigure timeouts; on loaded
    machines these might take longer than 5s.
  * adt-run: Unless --leave-lang is given, unset $LANGUAGE and all $LC_* for
    tests, to avoid clobbering the testbed locale with the host's.
    (LP: #1423359)


