## autopkgtest 3.17.2~bpo8+1

=== debian/changelog ===
autopkgtest (3.17.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 03 Oct 2015 07:38:35 -0300

autopkgtest (3.17.2) unstable; urgency=medium

  * ssh-setup/nova: Use instance UUIDs instead of names after initial "nova
    boot", to avoid name collisions. (LP: #1495788)
  * adt-setup-vm: Drop "pin eth0 name" hack, this was fixed properly in
    systemd 226-2.
  * adt-setup-vm: Generalize ethernet ifupdown setup for net.ifnames.
  * adt_binaries.py: Fix resetting of testbed (regression in 3.17).

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Sep 2015 17:23:41 +0200

autopkgtest (3.17.1) unstable; urgency=medium

  * Add new private python modules to Makefile, to actually ship them.
  * tests/adt-run: Fix test regression when $ADT_TEST* are not set.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Sep 2015 08:38:54 +0200

autopkgtest (3.17) unstable; urgency=medium

  * setup-commands/cloud-vm-setup: Provide fallback for Ubuntu 12.04 which
    does not yet have /etc/default/grub.cfg.d/.
  * adt-virt-ssh: Add --timeout-ssh option. Thanks Leo Arias for the initial
    patch. (LP: #1488358)
  * adt-run: Add --env option to pass arbitrary environment variables to the
    test.
  * adt-virt-lxc: In the auxverb, clean up leaked background processes which
    share the same stdout/stderr, to avoid eternal hangs. (LP: #1488359)
  * Move Testbed class and related logic into separate module
    lib/adt_testbed.py, and clean up some unnecessary code interdependencies
    and error handling. This will make it easier to write alternative CLI
    frontents. This also handles test timeouts in a better way: There now is a
    proper "summary" report as "FAIL timed out", and subsequent tests will now
    run. (Closes: #741322)
  * Drop the --leave-lang option. Please use the explicit option --set-lang
    instead, to avoid weakly defined behaviour.
  * Move Binaries class into separate module lib/adt_binaries.py.
  * Testbed.execute(): Explicitly decode output of programs as UTF-8, instead
    of relying on the host locale's encoding.
  * tools/adt-setup-vm: Only configure eth0 in ifupdown if it actually exists,
    and then make sure it does not get renamed any more.
  * Add @builddeps@ build profile parsing fallback for libdpkg-perl < 1.04;
    just ignore all build profiles.
  * ssh-setup/nova: Add workaroud for cloud-init bug writing a wrong
    /etc/hosts. (LP #1494678)
  * adt-run: Log running kernel after each boot. (part of LP #1491865)
  * Track initial kernel version after test bed setup and when a test/reboot
    changes the running kernel version. Log these, and create a new
    "testinfo.json" in the output dir with this information. (LP: #1491865)
  * If --env options are specified, add these as list of name=value strings as
    "custom_environment" key to testinfo.json.
  * Put vserver arguments into testinfo.json.

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Sep 2015 15:02:39 +0200

autopkgtest (3.16.3) unstable; urgency=medium

  * adt-setup-vm: Use /etc/cloud.cfg.d/ to avoid conffile prompts on upgrades.
    (LP: #1477626)
  * Don't invoke QEMU with -localtime. QEMU defaults to and Linux prefers the
    hw clock in UTC. This avoids large time jumps when doing NTP.
  * adt-setup-vm: Start autopkgtest shell after all other SysV init
    scripts/facilities, to avoid a too early start of tests while boot is
    still in progress.
  * doc/README.package-tests.rst: Use comma separator in examples.
  * VirtSubproc.check_exec(): Actually error out on stderr as documented.
  * adt-virt-ssh: Verify that sudo does not write errors, as that
    interferes with auxverbs and generally is a sign of host mis-configuration
    (typically wrong hostname).
  * ssh-setup-nova: Set hostname to "adt". This avoids overly long host names
    from defaulting to nova instance names (which can be very long).
  * ssh-setup/nova: Fix parsing of IP address from "nova show" to avoid
    tripping over instance names containing "network". (LP: #1481574)
  * Fix error message and code for "invalid test depends" errors.
  * tests/pep8: Ignore E402 ("module level import not at top of file"), as
    that's impossible to satisfy; we have to set sys.path before.
  * ssh-setup/nova: In cleanup(), wait until the instance gets deleted. This
    avoids name collisions and instance quota overflow.
  * adt-run: Always show summary at the end, which is particularly helpful for
    multiple tests. (LP: #1484991)
  * adt-run.1: Clarify that without any logging options adt-run only logs to
    stderr. (LP: #1485661)
  * adt-virt-lxc: If the executed command exits with 255, translate that to
    253 in the auxverb wrapper, as 255 is the exit code for failures of the
    auxverb itself. This avoids considering ordinary test failures as
    temporary testbed failures.
  * adt-run: Show host name, to more easily identify hosts with frequent
    failures.
  * adt-virt-lxc: Always call lxc-stop with --kill, as the containers are not
    precious and normal shutdown might hang.
  * adt-virt-lxc: In cleanup, stop LXC container before removing the shared
    downtmp, to ensure that we always clean up the running container. Also
    don't fail on errors. (LP: #1488879)
  * ssh-setup/nova: Add missing apt sources for -updates/-security
    restricted/multiverse pockets.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Aug 2015 19:54:51 +0200

autopkgtest (3.16.2) unstable; urgency=medium

  * Exit with code 4 ("test failure") if a test times out, instead of 16
    ("testbed failure").
  * Exit with code 12 ("erroneous package") if test dependencies are
    unsatisfiable and put badpkg/blame into summary, instead of exiting with
    code 20 ("other unexpected failures including bad usage").
  * Exit with code 12 ("erroneous package") and a proper error message if
    debian/tests/<testname> does not exist, instead of code 20 and a confusing

