## autopkgtest 3.17.4

=== debian/changelog ===
autopkgtest (3.17.4) unstable; urgency=medium

  * Fix --apt-pocket for apt sources with [options].
  * Add tests/testarchive.py module for creating dynamic archives of mock
    debs, and add a full integration test for --apt-pocket.
  * Fix version in adt-run output (@version@ moved to adt_testbed.py).
  * adt-setup-vm, cloud-vm-setup: Purge lxc/lxd.
  * tests/testdesc: Skip Debian.test_builddeps_profiles test if dpkg is too
    old to support build profiles.

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Oct 2015 07:33:04 +0200

autopkgtest (3.17.3) unstable; urgency=medium

  * Set DEB_BUILD_OPTIONS=parallel=<#cpu> for builds and tests (as they
    sometimes build packages). (LP: #1399177)
  * If copying up files/artifacts through shared dir fails because of
    inaccessible files, fall back to piping them through the auxverb.
  * adt-build-lxc: Install dbus; a lot of software indirectly expects it
    (e. g. calling systemctl as user).
  * tools/adt-setup-vm, setup-commands/cloud-vm-setup: Purge
    libcpan-changes-perl, it breaks some Perl autopkgtests.
  * tools/adt-setup-vm, setup-commands/cloud-vm-setup: Purge git, it breaks
    Ruby's autopkgtests.
  * NullRunner.test_tmp_install: Explicitly require Json 1.0 GI version, to
    silence warning with current pygobject.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Oct 2015 08:13:09 +0200
