## autopkgtest 3.18.1~ubuntu15.04.1

=== Makefile ===
--- 
+++ 
@@ -47,6 +47,8 @@
 pythonfiles =	lib/VirtSubproc.py \
 		lib/adtlog.py \
 		lib/adt_run_args.py \
+		lib/adt_testbed.py \
+		lib/adt_binaries.py \
 		lib/testdesc.py \
 		$(NULL)
