=== debian/changelog ===
autopkgtest (3.18.1~ubuntu15.04.1) vivid-backports; urgency=medium

  * No-change backport to vivid

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Nov 2015 10:39:42 +0100

autopkgtest (3.18.1) unstable; urgency=medium

  * With --apt-pocket=POCKET=pkgname,... also include <release>-updates.
  * cloud-vm-setup, adt-setup-vm: Disable /etc/cron.daily/apt.
  * Detect if apt fails to download packages (as opposed to installing them),
    retry up to three times, and eventually fail with exit code 16. This
    avoids failing tests due to DNS/infrastructure problems and handling them
    as tmpfails instead.
  * Add test case for multiple Tests: with --apt-pocket=proposed=pkg
    selection and nonexisting dependency.
  * Properly keep track of apt pinnings across testbed resets.
  * cloud-vm-setup, adt-setup-vm: Purge open-iscsi.
  * Treat apt errors (exit code 100) from source download/extraction as
    tmpfail.
  * ssh-setup/nova: Stop adding apt sources for restricted/multiverse, as
    current images now have them by default (see LP #1177432). This avoids
    duplicate apt sources which cause stderr failure with some tests.
  * Recognize negative architecture restrictions in test Depends:.
    (LP: #1516959)
  * tools/adt-buildvm-ubuntu-cloud: Counter-hack LP #1510345 harder by
    checking /proc/cmdline instead of /etc/default/grub.

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Nov 2015 12:18:23 +0100
