=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: adt-run
-Depends: autopkgtest, build-essential, debhelper (>= 7)
+Depends: autopkgtest, autodep8, build-essential, debhelper (>= 7)
 Restrictions: needs-root
 Tests-Directory: tests
