## autopkgtest 3.20.1~bpo8+1

=== Makefile ===
--- 
+++ 
@@ -38,10 +38,12 @@
 		virt-subproc/adt-virt-null \
 		virt-subproc/adt-virt-schroot \
 		virt-subproc/adt-virt-lxc \
+		virt-subproc/adt-virt-lxd \
 		virt-subproc/adt-virt-qemu \
 		virt-subproc/adt-virt-ssh \
 		tools/adt-buildvm-ubuntu-cloud \
 		tools/adt-build-lxc \
+		tools/adt-build-lxd \
 		runner/adt-run
 
 pythonfiles =	lib/VirtSubproc.py \
@@ -66,11 +68,10 @@
 		$(INSTALL_PROG) $$f $(bindir); \
 		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
 		done
-	$(INSTALL_PROG) tools/adt-setup-vm $(share)/$(pkgname)
 	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DATA) CREDITS $(docdir)
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
-	$(INSTALL_DATA) setup-commands/*[!~] $(datadir)/setup-commands
+	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
 	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
 	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
