=== debian/changelog ===
autopkgtest (3.20.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Mar 2016 19:12:20 -0300

autopkgtest (3.20.1) unstable; urgency=medium

  * When testing click packages, don't regenerate all AppArmor profiles if
    /var/cache/apparmor/click-ap.rules already exists. That way the profiles
    can be pre-adjusted once in a testbed instead of once for each test run,
    which greatly speeds up iterations. (LP: #1553797)
  * Move SshRunner* tests from lxc to lxd.
  * NullRunner.test_tree_output_dir test: Only check for cpu_{model,flags} on
    x86 and ARM, as these need parsing adjustments on other architectures.
  * Disable lxd autopkgtest for now, this still needs some way to set a proxy.
  * lib/VirtSubproc.py, cmd_reboot(): Add workaround for dhclient hanging on
    reboot (see LP #1556175).
  * Fix regular expression for removing profile guarded dependencies on hosts
    that don't support build profiles.
  * adt-virt-lxc: Suppress lxc-copy's stdout in the "no btrfs" fallback case.
    (Closes: #818185)

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Mar 2016 22:35:54 +0100

autopkgtest (3.20) unstable; urgency=medium

  New features/behaviour changes:

  [Martin Pitt]
  * adt-virt-lxd: Launch containers in ephemeral mode.
  * adt-virt-lxc: Use the new lxc-copy if available, as lxc-clone and
    lxc-start-ephemeral got deprecated by that. This now supports reboots in
    ephemeral mode.
  * adt-virt-lxc: Add --name option. This allows CI systems to use a more
    expressive name than the autogenerated adt-virt-lxc-XXXXXX, to make it
    easier to map a container to a running test.
  * Add CPU information to testinfo.json: "nproc" (#cpus), "cpu_model", and
    "cpu_flags". (LP: #1552129)
  * Add autopkgtest for adt-build-lxd and the lxd runner.

  [ Christian Seiler ]
  * Support nested KVM by default by emulating a CPU with VMX/SVM support on
    x86_64. (Closes: #800845, part 1)
  * adt-virt-qemu: Provide read-only version of the VM image to the test as
    /dev/baseimage, for tests that want to run nested QEMU. (Closes: #800845)

  Bug fixes:

  [ Martin Pitt ]
  * setup-commands/setup-testbed: Ensure that removing cruft does not remove
    cloud-init. (LP: #1539126)
  * setup-commands/setup-testbed: Purge lxd and lxc.
  * adt-virt-lxc: Don't fail on deprecation warnings of lxc-clone and
    lxc-start-ephemeral. (LP: #1549995)
  * Run external commands with /dev/null as stdin. This has always been
    intended, but has not actually been done for a while.
  * Drop support for hook_forked_inchild() in virt-runners. This has never
    been used.
  * ssh-setup/nova: Try and prefer novaclient.v2 API first, and fall back to
    v1_1. (LP: #1552730)
  * Correctly ignore positive and negative build profiles with too old
    libdpkg-perl that does not support them yet.
  * tests/run-parallel: Don't run NullRunner and SchrootRunner tests in
    parallel, as they collide with a bind-mounted /tmp.
  * test_reboot_prepare testcase: Don't compare the host and guest kernel
    versions in the QemuRunner.
  * Keep and export $ADTTMP and $ADT_ARTIFACTS in debug shells.
    (Closes: #814115)
  * setup-commands/*: Add shebang headers to quiesce lintian.
  * Bump Standards-Version to 3.9.7 (no changes necessary).
  * Add debian/source/format (3.0 native).
  * debian/control: Use https Vcs-* links.
  * Bump debhelper compat level to 9.
  * adt-virt-qemu: Don't assert result of "runlevel" for connection test. This
    is a race condition under systemd as getty starts before default.target
    is fully finished.
  * tests/adt-run SchrootClickRunner: Ensure that the "click" system user
    exists in the schroot, so that it doesn't need to exist on the host.
  * Adjust SchrootRunner.test_apt_pocket_pkg_with_proposed_dep test case for
    apt 1.1.
  * Latest LXD now adds an "images" remote for images.linuxcontainers.org by
    default. Adjust adt-build-lxd.1 and adt-virt-lxd.1 accordingly.
  * Respect $TMPDIR when creating the downtmp and some other directory/files.
    (Closes: #817190)
  * tests/adt-run: Symlink real ~/.config/lxc into the temporary $HOME, to
    avoid regenerating the LXD client certificate for each test.

  [ Christian Seiler ]
  * setup-testbed: reduce grub timeout on images that don't already configure
    this in /etc/default/grub.d (like vmdeboostrap).
  * adt-virt-qemu: Use correct qemu-system-i386 command on i[3456]86 systems.
  * Fix spelling errors in manpages.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Mar 2016 10:05:08 +0100

autopkgtest (3.19.3) unstable; urgency=medium

  * setup-commands/setup-testbed: Avoid dpkg conffile prompts.
  * adt-virt-lxc: Call lxc-stop and lxc-destroy with --quiet, to fix breakage
    due to unexpected output with LXC 2.0.
  * adt-virt-lxc: Redirect lxc-destroy stdout, to work around LP #1543016.
  * Ignore build profiles on too old libdpkg-perl versions also when building
    the tested package.
  * adt-virt-lxd.1: Standard images from linuxcontainers.org stopped having
    "deb-src" apt lines by default. Document that standard setup commands are
    required for this and adjust examples accordingly.
  * adt-virt-lxc: Factorize cleanup code.
  * adt-virt-lxc: Run lxc-{start,stop} under "timeout" when running through
    sudo, as killing these on timeout does not work.
  * ssh-setup/nova: Wait until instance is actually ready before sending
    access info.
  * ssh-setup/nova: Show instance's console log on ssh or cloud-init timeouts,
    as that's very useful for debugging.
  * adt-virt-lxd: Drop redundant "lxc stop", just call "lxc delete --force".
  * adt-buildvm-ubuntu-cloud: Bump default image size from 4 to 20 GB.
  * runner/adt-run: Install ca-certificates along with git, to ensure that
    https URLs can be cloned.
  * tools/adt-build-lxd: Add workaround for broken "lxc file push" permissions
    (LP: #1548878)


