## autopkgtest 3.20.4

=== debian/changelog ===
autopkgtest (3.20.4) unstable; urgency=medium

  * setup-commands/setup-testbed: Fix kernel header installation for
    precise/armhf, which does not yet have linux-headers-generic.
  * Use "nproc" to determine the number of processors available, which is both
    more correct in a cgroup world, and also simpler.
  * Add new --build-parallel=N option to explicitly set the "parallel=N"
    $DEB_BUILD_OPTION for building packages, to override the default of
    "number of available CPUs". This is mostly useful in containers where you
    can restrict the available RAM, but not restrict the number of CPUs.
    (LP: #1569750)
  * setup-commands/setup-testbed: ubuntu-snappy got renamed to snapd, adjust
    package name.
  * adt-build-lxd: Set "distribution", "release", and "architecture"
    properties of generated images.
  * adt-build-lxd: Clean up all old images of the same distro/release/arch,
    not just the previous one. Also fix cleanup to work in non-English
    locales.
  * setup-commands/setup-testbed: Call apt-get purge only once with the list
    of all packages, instead of once per package. This is much faster.
  * SchrootClickRunner tests: Chown click dir in /opt after creating the user.
  * Bump Standards-Version to 3.9.8 (no changes necessary).
  * Update Vcs-* URLs.

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Apr 2016 11:19:45 +0200

autopkgtest (3.20.3) unstable; urgency=medium

  * Makefile: Install SKELETON after the programs (which use an [a-z] glob),
    as the latter behaves differently in different locales. Thanks Alexis
    Bienvenüe! (Closes: #820148)
  * adt-buildvm-ubuntu-cloud: Use https for cloud image download.
    (LP: #1566846)
  * setup-commands/setup-testbed: Purge ubuntu-snappy.
  * adt-virt-qemu: On AMD CPUs, default to -cpu host instead of
    "kvm64,+svm,+lahf_lm". This introduces more jitter, but is the only -cpu
    mode that actually allows nested QEMU with current QEMU versions.
  * adt-build-lxd: Force-delete preparation container at the end, even if it
    is running.
  * adt-build-lxd: Disable apt proxy configuration with ADT_APT_PROXY=="none".

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Apr 2016 16:27:09 +0200

autopkgtest (3.20.2) unstable; urgency=medium

  * setup-commands/setup-testbed: Purge lxc-common for testbed preparation.
  * adt-buildvm-ubuntu-cloud: Use the same code for determining the default
    qemu-system-* command as adt-virt-qemu. This adds support for ppc64el and
    other architectures. (Closes: #818892)
  * adt-buildvm-ubuntu-cloud: If ifnames was disabled for the initial boot,
    keep it disabled for subsequent boots instead of changing to ens3. This
    fixes building images for Ubuntu 15.04.
  * lib/VirtSubproc.py, cmd_reboot(): Drop workaround for dhclient hanging on
    reboot, LP #1556175 got fixed.
  * setup-commands/setup-testbed: Ensure that purging packages does not hang
    eternally on debconf prompts.
  * setup-commands/setup-testbed: Drop purging of xkb-data.
  * setup-commands/setup-testbed: Apply "vmalloc=512M" grub change also when
    using as a --setup-commands with adt-run, not only with building images.
    Fixes tests like udisks2 on i386 when using standard cloud images.

 -- Martin Pitt <mpitt@debian.org>  Tue, 05 Apr 2016 14:53:01 +0200
