## autopkgtest 3.20.4ubuntu1

=== debian/changelog ===
autopkgtest (3.20.4ubuntu1) xenial; urgency=medium

  * tests/adt-run: Filter out $ADT_NORMAL_USER from the chroot tests; we don't
    want this set when testing autopkgtest from within autopkgtest. Fixes a
    test failure when running our own autopkgtests. Cherry-pick of upstream
    commit cbac10742cc44d66c82ee9776157273a5cce7a59 (LP: #1686082)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 25 Apr 2017 15:13:21 +0100
