=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.1),
  python3-mock,
@@ -12,8 +12,8 @@
  pyflakes,
  procps,
  pep8
-Vcs-Git: https://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
+Vcs-Git: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
+Vcs-Browser: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
 X-Python3-Version: >= 3.1
 
 Package: autopkgtest
