=== debian/changelog ===
autopkgtest (3.20.4ubuntu1.1) xenial; urgency=medium

  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 26 Sep 2019 08:48:21 -0400
