## autopkgtest 3.20.9~ubuntu15.10.1

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 pkgname =	autopkgtest
 docdir =	$(share)/doc/$(pkgname)
 datadir =	$(share)/$(pkgname)
-pythondir = 	$(datadir)/python
+pythondir = 	$(datadir)/lib
 
 INSTALL =	install
 INSTALL_DIRS =	$(INSTALL) -d
