=== debian/changelog ===
autopkgtest (3.20.9~ubuntu15.10.1) wily-backports; urgency=medium

  * No-change backport to wily

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Jun 2016 16:25:59 +0200

autopkgtest (3.20.9) unstable; urgency=medium

  * Fix "apt-get source" version detection for very old source packages that
    don't have "Package-List:" yet. (LP: #1588199)
  * Skip NullRunner.test_apt_source_nonexisting test instead of failing if
    there are no deb-src apt sources configured on the host.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Jun 2016 22:22:45 +0200

autopkgtest (3.20.8) unstable; urgency=medium

  * adt-build-lxd: Fix "ADT_APT_PROXY: parameter not set" failure if host's
    apt proxy is not on localhost.
  * debian/tests/lxd: Set up LXD bridge, so that the test can actually work
    with current LXD.
  * Set $ADT_NORMAL_USER during tests that run as root.
  * Re-enable lxd autopkgtest, now that LP: #1557161 is fixed.
  * debian/tests/lxd: Enable MSS clamping, to work around broken PTMU in
    Canonical's Scalingstack: Avoids lost IP packets due to MTU mismatches.
  * adt-build-lx{c,d}: Pass on $MIRROR to setup-testbed.
  * adt-virt-qemu: Replace deprecated -redir QEMU option with
    "-net user,hostfwd=".
  * adt-buildvm-ubuntu-cloud: Provide more user friedly error if no image
    exists for the chosen release/architecture. (LP: #1586322)
  * Put back apt-cache showsrc --only-source option, as otherwise we'll catch
    binaries from unrelated sources. Add a fallback for Ubuntu 12.04 to re-try
    without --only-source.

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Jun 2016 12:39:50 +0200

autopkgtest (3.20.7) unstable; urgency=medium

  * Use "gdk-pixbuf" as example package in tests and documentation instead of
    libpng. The latter recently got renamed.
  * setup-commands/setup-testbed: Don't install haveged into containers.
  * tests/adt-run: Make SchrootClickRunner tests work with a standard schroot
    (i. e.  no click and SDK preinstalled), by installing the packages via
    --setup-command.
  * tools/adt-buildvm-ubuntu-cloud: Adjust to new cloud image names from
    Ubuntu 16.10.
  * Exit with 12 ("bad package") instead of 16 ("temporary testbed failure")
    when --apt-source package does not exist.
  * Move installed python modules from /usr/share/autopkgtest/python to
    ../lib, to use the same name as in the source tree.
  * setup-commands/setup-testbed: Call all apt-get commands with /dev/null
    stdin, to avoid them seizing stdin. Fixes adt-build-lxc for Ubuntu trusty.

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 May 2016 21:03:07 +0200

autopkgtest (3.20.6) unstable; urgency=medium

  * Fix OSError when running a shell is requested but /dev/tty does not exist;
    just log an error instead.
  * Fix parsing of candidate versions from "apt-cache policy" to always use
    the precise given package name. By default it falls back to a
    substring/regexp search (undocumented).
  * adt-build-lxd: Check the LXD configuration for the LXD bridge instead of
    the old LXC bridge, for apt proxy auto-detection. (LP: #1577968)
  * Generalize the apt proxy detection in adt-build* and setup-testbed to
    work for arbitrary proxies, not just apt-cacher-ng. (LP: #1577966)
  * Eliminate the need to set $AUTOPKGTEST_BASE to execute runner/adt-run from
    a git checkout. This also makes ./run-from-checkout obsolete, call
    runner/adt-run directly.

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 May 2016 22:32:46 +0200

autopkgtest (3.20.5) unstable; urgency=medium

  [ Martin Packman ]
  * Fix ssh virt server example and testbed error.

  [ Martin Pitt ]
  * If git clone fails with "--git-source" the first time, retry after 15
    seconds. This should defend short temporary network glitches.
    (LP: #1571979)
  * adt-virt-qemu: Call eofcat helper with PYTHONHASHSEED=0 to avoid long
    hangs after booting the VM until the RNG gets initialized. (See #822431
    for details) (Closes: #821778)
  * adt-virt-ssh: Fix UnboundLocalError crash when logging in as root.
  * Fix running for multiple actions in one command line: (Closes: #822285)
    - Close the summary stream after the last test, not after the first.
    - Clean up the test tree on the testbed between actions.
  * Fix NullRunner.test_timeout_no_output to work with multiple parallel runs.
    (Closes: #816398)

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Apr 2016 00:14:05 +0200
